### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
BarrierOption::arguments Class Reference

Arguments for barrier option calculation More...

`#include <ql/instruments/barrieroption.hpp>`

Inheritance diagram for BarrierOption::arguments:
[legend]

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Barrier::Type | barrierType
Real | barrier
Real | rebate

## Detailed Description

Arguments for barrier option calculation